TC_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint8_t OVF:1
__I uint8_t ERR:1
__I uint8_t:2
__I uint8_t MC0:1
__I uint8_t MC1:1
} | bit
struct {
__I uint8_t:4
__I uint8_t MC:2
} | vec
uint8_t | reg

## Detailed Description

Definition at line 376 of file tc.h.

## Field Documentation

## bit

struct { ... } TC_INTFLAG_Type::bit

Structure used for bit access

## ERR

__I uint8_t TC_INTFLAG_Type::ERR

bit: 1 ERR Interrupt Flag

Definition at line 379 of file tc.h.

## MC

__I uint8_t TC_INTFLAG_Type::MC

bit: 4.. 5 MC Interrupt Flag x

Definition at line 387 of file tc.h.

## MC0

__I uint8_t TC_INTFLAG_Type::MC0

bit: 4 MC Interrupt Flag 0

Definition at line 381 of file tc.h.

## MC1

__I uint8_t TC_INTFLAG_Type::MC1

bit: 5 MC Interrupt Flag 1

Definition at line 382 of file tc.h.

## OVF

__I uint8_t TC_INTFLAG_Type::OVF

bit: 0 OVF Interrupt Flag

Definition at line 378 of file tc.h.

## reg

uint8_t TC_INTFLAG_Type::reg

Type used for register access

Definition at line 390 of file tc.h.

## uint8_t

__I TC_INTFLAG_Type::uint8_t

bit: 2.. 3 Reserved

bit: 6.. 7 Reserved

bit: 0.. 3 Reserved

Definition at line 380 of file tc.h.

## vec

struct { ... } TC_INTFLAG_Type::vec

Structure used for vec access

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/tc.h